Bug 827551 - [abrt] zynaddsubfx-2.4.2-1.fc17: _int_free: Process /usr/bin/zynaddsubfx was killed by signal 11 (SIGSEGV)
[abrt] zynaddsubfx-2.4.2-1.fc17: _int_free: Process /usr/bin/zynaddsubfx was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zynaddsubfx (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
abrt_hash:b380fc3fb51b1b1e0bbbf0ddb9b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 14:19 EDT by orthoatmine
Modified: 2013-07-31 20:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (21.79 KB, text/plain)
2012-06-01 14:19 EDT, orthoatmine
no flags Details
File: backtrace (68.98 KB, text/plain)
2012-06-01 14:19 EDT, orthoatmine
no flags Details

  None (edit)
Description orthoatmine 2012-06-01 14:19:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        zynaddsubfx
crash_function: _int_free
executable:     /usr/bin/zynaddsubfx
kernel:         3.3.7-1.fc17.x86_64
pid:            2872
pwd:            /home/orthoatmine
time:           Fri 01 Jun 2012 08:16:53 PM CEST
uid:            1000
username:       orthoatmine

backtrace:      Text file, 70637 bytes
maps:           Text file, 22316 bytes

build_ids:
:f8b80d8e1f949fd251bcaa3ed135d131fedd8bd4
:45e0014c86f9c5707b728cec9485c036cf17aed7
:7086dc6141c90048b59a5cd422dfe8471f90ddd9
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f64b7319b84d426ed547084bdb2577f4f596c18f
:88f7e2ac655c99a0219a58c51a2d2a03644acc6a
:e91010b497ec024178c36f4365b21f668bada0ca
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:2e6a595ccb0b1ecfd4c6807f59ed381cfdcfce4d
:e7f20e5bf66089846eee1e403cac18751e43d7f2
:127f8958b602715234a02b88adb08afd9e34c203
:54a4a5cb60ac6c40e2759249ff91e8825415c585
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:516204cfc31148538d56b21e2f1b945ed50127d4
:c4ec0971b2dcee71aaf8374975474054245fea00
:3aa3c5f1f433fd6d95d75788f13e46d5dbf93162
:5310322d652f6bde19fb22f775c364e7e519e673
:822e9b3523e8312240f41a25722d539bc77ed436
:aca009e470459abe317d96b6adb6fa6d7a07ebc6
:73777e822e00ca152ffca281ab0ace0cb498ec48
:6e3dbb942f7e173d65ea958bd449f6727b220abb
:a4973cf0e87d83b601ac5cdf993f09c56bf518bf
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:0e7b5ea51cda2657be6979ce118f16c0848e6bc4
:1d4df97fa6024b097b634a272447243c95c26d85
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:130699b76d99d57ef46beeed9d693005f3c8917f
:247132297f287226a24c12e683292f5c94013066
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/orthoatmine/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c31c _int_free libc.so.6 -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x62fc4 OscilGen::~OscilGen() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x62ff9 OscilGen::~OscilGen() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x74903 ADnoteVoiceParam::kill() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x74a9a ADnoteParameters::~ADnoteParameters() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x74ae9 ADnoteParameters::~ADnoteParameters() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x4d46e Part::setkititemstatus(int, [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x4ef51 Part::getfromXMLinstrument(XMLwrapper*) [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x4fa99 Part::loadXMLinstrument(char [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0xb4dbf BankUI::process() [exe] -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0xb3a41 BankSlot::handle(int) [exe] -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x442f5 - libfltk.so.1.3 -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x450de Fl::handle_(int, libfltk.so.1.3 -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x99210 fl_handle(_XEvent libfltk.so.1.3 -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x9a7a3 - libfltk.so.1.3 -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x9ac60 fl_wait(double) libfltk.so.1.3 -
:7086dc6141c90048b59a5cd422dfe8471f90ddd9 0x46020 Fl::wait(double) libfltk.so.1.3 -
:aca009e470459abe317d96b6adb6fa6d7a07ebc6 0x442fd thread3(void*) [exe] -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

dso_list:
:/usr/lib64/libXft.so.2.3.0 libXft-2.3.0-2.fc17.x86_64 (Fedora Project) 1338432521
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1338461328
:/usr/lib64/libfltk_images.so.1.3 fltk-1.3.0-4.fc17.x86_64 (Fedora Project) 1338565153
:/usr/lib64/libmxml.so.1.4 mxml-2.5-7.fc17.x86_64 (Fedora Project) 1338565150
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1338432258
:/usr/lib64/libreadline.so.6.2 readline-6.2-4.fc17.x86_64 (Fedora Project) 1338432257
:/usr/lib64/libfftw3.so.3.3.1 fftw-libs-double-3.3.1-3.fc17.x86_64 (Fedora Project) 1338462191
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-6.fc17.x86_64 (Fedora Project) 1338432259
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1338432253
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.x86_64 (Fedora Project) 1338432516
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.x86_64 (Fedora Project) 1338432514
:/usr/lib64/libasound.so.2.0.0 alsa-lib-1.0.25-3.fc17.x86_64 (Fedora Project) 1338432363
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/lib64/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.x86_64 (Fedora Project) 1338432255
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.x86_64 (Fedora Project) 1338462092
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/lib64/libjack.so.0.1.0 jack-audio-connection-kit-1.9.8-8.fc17.x86_64 (Fedora Project) 1338432418
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1338432343
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.2-1.fc17.x86_64 (Fedora Project) 1338432517
:/usr/lib64/libportaudio.so.2.0.0 portaudio-19-13.fc17.x86_64 (Fedora Project) 1338560974
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1338432256
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1338432343
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1338432252
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1338432266
:/usr/lib64/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.x86_64 (Fedora Project) 1338432256
:/usr/lib64/libfltk.so.1.3 fltk-1.3.0-4.fc17.x86_64 (Fedora Project) 1338565153
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1338432515
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc17.x86_64 (Fedora Project) 1338432256
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1338432254
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1338432246
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1338432229
:/usr/lib64/libcelt0.so.2.0.0 celt-0.11.1-3.fc17.x86_64 (Fedora Project) 1338432305
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338432248
:/usr/bin/zynaddsubfx zynaddsubfx-2.4.2-1.fc17.x86_64 (Fedora Project) 1338565154
:/usr/lib64/liblash.so.1.1.1 lash-0.5.4-15.fc17.x86_64 (Fedora Project) 1338562323
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1338432259
:/usr/lib64/libfltk_forms.so.1.3 fltk-1.3.0-4.fc17.x86_64 (Fedora Project) 1338565153

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=NAS
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/orthoatmine/keyring-GLcLKf
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=orthoatmine
:USERNAME=orthoatmine
:MAIL=/var/spool/mail/orthoatmine
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/orthoatmine/.local/bin:/home/orthoatmine/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/orthoatmine
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1145
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/orthoatmine
:SHLVL=1
:LOGNAME=orthoatmine
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WmpspOMHX4,guid=8816838d082efcd906d0859e00000025
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/orthoatmine
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-orthoatmine-7Lu2k7/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1151,unix/unix:/tmp/.ICE-unix/1151
:GPG_AGENT_INFO=/run/user/orthoatmine/keyring-GLcLKf/gpg:0:1
:SSH_AUTH_SOCK=/run/user/orthoatmine/keyring-GLcLKf/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-zynaddsubfx.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2872

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30972                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30972                30972                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/orthoatmine/.xsession-errors
:pos:	90253
:flags:	0102002
:2:/home/orthoatmine/.xsession-errors
:pos:	90253
:flags:	0102002
:3:socket:[420605]
:pos:	0
:flags:	02
:4:socket:[424430]
:pos:	0
:flags:	02
:5:socket:[420608]
:pos:	0
:flags:	02004002
:6:socket:[424431]
:pos:	0
:flags:	02

var_log_messages:
:Jun  1 17:39:13 NAS yum[3048]: Installed: zynaddsubfx-common-2.4.2-1.fc17.noarch
:Jun  1 17:39:14 NAS yum[3048]: Installed: zynaddsubfx-2.4.2-1.fc17.x86_64
:Jun  1 20:16:53 NAS kernel: [ 2137.983825] zynaddsubfx[2888]: segfault at 18 ip 000000324267c31c sp 00007f1e9f8b7550 error 4 in libc-2.15.so[3242600000+1ac000]
:Jun  1 20:16:54 NAS abrt[2893]: Saved core dump of pid 2872 (/usr/bin/zynaddsubfx) to /var/spool/abrt/ccpp-2012-06-01-20:16:53-2872 (37199872 bytes)
Comment 1 orthoatmine 2012-06-01 14:19:09 EDT
Created attachment 588555 [details]
File: maps
Comment 2 orthoatmine 2012-06-01 14:19:15 EDT
Created attachment 588556 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-07-03 18:33:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:30:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.